﻿
namespace AsyncQueueSample.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;


    // TODO: Create methods containing your application logic.
    [EnableClientAccess()]
    public class SampleDomainService : DomainService
    {
        //RIA Service
        public IQueryable<Employee> GetEmployees()
        {
            return new[]{
                new Employee(){
                    ID=1,
                    FirstName="ares",
                    LastName="chen"
                }}.AsQueryable();
        }
    }


    public class Employee
    {
        [Key]
        public int ID { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
    }
}



